Self-serve contractor payments
Get Self Serve Onramp Config
Checks Safe connection, chain and token support and app id to report Coinbase Onramp availability.
GEThttps://api.toku.com/hris/get-self-serve-onramp-config
Required scope: wallets:read
curl --request GET \
--url 'https://api.toku.com/hris/get-self-serve-onramp-config' \
--header 'Authorization: Bearer <token>'200 response
{
"isAvailable": true,
"unavailableReason": "string",
"destinationAddress": "string",
"coinbaseNetwork": "string",
"chainId": 0,
"token": "string",
"appId": "string"
}Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Response
200Successful response
isAvailablebooleanrequiredunavailableReasonstring | nullrequireddestinationAddressstring | nullrequiredcoinbaseNetworkstring | nullrequiredchainIdnumber | nullrequiredtokenstring | nullrequiredappIdstring | nullrequired400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits